
%global srcname auth.credential

Name:		python-auth-credential
Version:	1.1
Release:    2%{?dist}
Summary:	Python abstraction of a credential
License:	ASL 2.0
URL:		https://github.com/cern-mig/%{name}
Source0:	http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel, python3-setuptools

%global _description\
This module offers an abstraction of a credential, i.e. something that\
can be used to authenticate. It allows the creation and manipulation of\
credentials. In particular, it defines a standard string representation\
(so that credentials can be given to external programs as command line\
options), a standard structured representation (so that credentials can\
be stored in structured configuration files or using JSON) and\
"preparators" that can transform credentials into ready-to-use data for\
well known targets.\
\
The python module auth.credential is compatible with the Perl\
module Authen::Credential.

%description %_description

%package -n python3-auth-credential
Summary:	Python abstraction of a credential

%description -n python3-auth-credential
This module offers an abstraction of a credential, i.e. something that
can be used to authenticate. It allows the creation and manipulation of
credentials. In particular, it defines a standard string representation
(so that credentials can be given to external programs as command line
options), a standard structured representation (so that credentials can
be stored in structured configuration files or using JSON) and
"preparators" that can transform credentials into ready-to-use data for
well known targets.

The python module auth.credential is compatible with the Perl
module Authen::Credential.

%prep
%setup -q -n %{srcname}-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build 
%{__python3} setup.py build

%install
rm -fr %{buildroot}
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
%{__python3} setup.py test

%files -n python3-auth-credential
%doc LICENSE README.rst CHANGES
%{python3_sitelib}/auth/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-1
- initial build
